cisco ios_xe_sd-wan 在命令中使用的特殊元素转义处理不恰当(命令注入)

CVE编号

CVE-2021-34725

利用情况

暂无

补丁情况

N/A

披露时间

2021-09-23
漏洞描述
A vulnerability in the CLI of Cisco IOS XE SD-WAN Software could allow an authenticated, local attacker to inject arbitrary commands to be executed with root-level privileges on the underlying operating system. This vulnerability is due to insufficient input validation on certain CLI commands. An attacker could exploit this vulnerability by authenticating to an affected device and submitting crafted input to the CLI. The attacker must be authenticated as an administrative user to execute the affected commands. A successful exploit could allow the attacker to execute commands with root-level privileges.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 cisco ios_xe_sd-wan * Up to
(including)
17.2.1r
运行在以下环境
硬件 cisco asr_1000 - -
运行在以下环境
硬件 cisco asr_1000-esp100 - -
运行在以下环境
硬件 cisco asr_1000-x - -
运行在以下环境
硬件 cisco asr_1000_series - -
运行在以下环境
硬件 cisco asr_1000_series_route_processor_(rp2) - -
运行在以下环境
硬件 cisco asr_1000_series_route_processor_(rp3) - -
运行在以下环境
硬件 cisco asr_1001 - -
运行在以下环境
硬件 cisco asr_1001-hx - -
运行在以下环境
硬件 cisco asr_1001-hx_r - -
运行在以下环境
硬件 cisco asr_1001-x - -
运行在以下环境
硬件 cisco asr_1001-x_r - -
运行在以下环境
硬件 cisco asr_1002 - -
运行在以下环境
硬件 cisco asr_1002-hx - -
运行在以下环境
硬件 cisco asr_1002-hx_r - -
运行在以下环境
硬件 cisco asr_1002-x - -
运行在以下环境
硬件 cisco asr_1002-x_r - -
运行在以下环境
硬件 cisco asr_1004 - -
运行在以下环境
硬件 cisco asr_1006 - -
运行在以下环境
硬件 cisco asr_1006-x - -
运行在以下环境
硬件 cisco asr_1009-x - -
运行在以下环境
硬件 cisco asr_1013 - -
运行在以下环境
硬件 cisco asr_1023 - -
运行在以下环境
硬件 cisco csr_1000v - -
运行在以下环境
硬件 cisco isr_1000 - -
运行在以下环境
硬件 cisco isr_1100 - -
运行在以下环境
硬件 cisco isr_1100-4g/6g - -
运行在以下环境
硬件 cisco isr_1100-4p - -
运行在以下环境
硬件 cisco isr_1100-8p - -
运行在以下环境
硬件 cisco isr_1101 - -
运行在以下环境
硬件 cisco isr_1101-4p - -
运行在以下环境
硬件 cisco isr_1109 - -
运行在以下环境
硬件 cisco isr_1109-2p - -
运行在以下环境
硬件 cisco isr_1109-4p - -
运行在以下环境
硬件 cisco isr_1111x - -
运行在以下环境
硬件 cisco isr_1111x-8p - -
运行在以下环境
硬件 cisco isr_111x - -
运行在以下环境
硬件 cisco isr_1120 - -
运行在以下环境
硬件 cisco isr_1160 - -
运行在以下环境
硬件 cisco isr_4000 - -
运行在以下环境
硬件 cisco isr_422 - -
运行在以下环境
硬件 cisco isr_4221 - -
运行在以下环境
硬件 cisco isr_4321 - -
运行在以下环境
硬件 cisco isr_4331 - -
运行在以下环境
硬件 cisco isr_4351 - -
运行在以下环境
硬件 cisco isr_4431 - -
运行在以下环境
硬件 cisco isr_4451 - -
运行在以下环境
硬件 cisco isr_4451-x - -
运行在以下环境
硬件 cisco isr_4461 - -
CVSS3评分
6.7
  • 攻击路径
    本地
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-77 在命令中使用的特殊元素转义处理不恰当(命令注入)
阿里云安全产品覆盖情况